> ## Documentation Index
> Fetch the complete documentation index at: https://globale-enterprise.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Get shipping details extended

> Returns all flat shipping-rate thresholds for all shipping services related to a product, per destination country.

<Note>
  Part of the [Shipping Options Details](/shipping-options-api) integration guide — see it for when and how to use this endpoint.
</Note>


## OpenAPI

````yaml api-reference/specs/getshippingdetailsextended.yaml POST /ShippingDetails/GetShippingDetailsExtended
openapi: 3.0.3
info:
  title: GetShippingDetailsExtended
  version: 1.0.0
  description: >-
    Extends the GetShippingDetails API to provide all flat shipping-rate
    thresholds for all shipping services related to a product. Lets you get all
    shipping rates available for a given country, get the rates for specific
    shipping service levels, or revert to all shipping rates available (for
    instance, when the request is passed with amount = 0).
  x-scaled-review: false
servers:
  - url: https://{globale_api_domain}
    variables:
      globale_api_domain:
        default: globale_api_domain
        description: Global-e API host, supplied to the merchant by Global-e.
security: []
tags:
  - name: GetShippingDetailsExtended
    x-page-title: GetShippingDetailsExtended
  - name: 'Direction: Merchant → Global-e'
  - name: 'Domain: Shipping'
paths:
  /ShippingDetails/GetShippingDetailsExtended:
    post:
      tags:
        - GetShippingDetailsExtended
      summary: Get all flat shipping-rate thresholds for all shipping services
      description: >-
        Extends GetShippingDetails to return all flat shipping-rate thresholds
        for all shipping services related to a product.
      operationId: getShippingDetailsExtended
      parameters:
        - name: Authorization
          in: header
          required: false
          schema:
            type: string
          description: >-
            The token retrieved via the GetAuthenticationToken API using
            merchant-specific credentials (provided to you by Global‑e).
        - name: UserName
          in: header
          required: false
          schema:
            type: string
          description: The API UserName, provided to you by Global‑e.
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/GetShippingDetailsExtendedRequest'
            example:
              amount: 100
              currencyCode: USD
              productCodes: null
              cultureCode: es
      responses:
        '200':
          description: >-
            An array of per-destination objects (ordered by destination
            country), each containing the destination, the shipping-methods
            availability status, and the array of available shipping rates by
            flat-rate shipping campaign.
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/GetShippingDetailsExtendedResponseItem'
              example:
                - destinationCountry: FO
                  status: active
                  shippingRates:
                    - shippingMethodLocalizedName: Envío express
                      shippingMethodName: Express Courier (Air)
                      rangeMinValue: 0
                      rangeMaxValue: 10000000000
                      shippingCost: 35
                      shippingCostCurrency: USD
                      estimatedDeliveryDays: 3-10
                      specialOfferExpiryDate: null
                - destinationCountry: FR
                  status: active
                  shippingRates:
                    - shippingMethodLocalizedName: Envío estándar
                      shippingMethodName: Standard Courier
                      rangeMinValue: 40
                      rangeMaxValue: 440
                      shippingCost: 0
                      shippingCostCurrency: EUR
                      estimatedDeliveryDays: 2-10
                      specialOfferExpiryDate: null
                    - shippingMethodLocalizedName: Envío express
                      shippingMethodName: Express Courier (Air)
                      rangeMinValue: 40
                      rangeMaxValue: 440
                      shippingCost: 15
                      shippingCostCurrency: EUR
                      estimatedDeliveryDays: 1-2
                      specialOfferExpiryDate: null
components:
  schemas:
    GetShippingDetailsExtendedRequest:
      type: object
      title: GetShippingDetailsExtendedRequest
      required:
        - amount
        - currencyCode
      properties:
        amount:
          type: number
          format: float
          description: >-
            The shipping cost. This number can contain up to two digits after
            the decimal point. Example: 50.30.
        cultureCode:
          type: string
          description: 'Determines the shipping method description language. Default: en-GB.'
        currencyCode:
          type: string
          description: >-
            The currency of the value passed in the amount parameter. Length: 3
            letters. Example: CAD, USD, ILS, EUR.
        destinationCountry:
          type: string
          description: >-
            The destination country. Length: 2-3 letters (both ISO-2 and ISO-3
            are supported). If empty, the API returns a list of shipping rates
            for all countries configured in the Global‑e System. Example: US or
            USA for the United States.
        productCodes:
          type: array
          items:
            type: string
          description: >-
            The unique product reference (SKU, EAN, Barcode, and more). Example:
            ["product123","productABC"].
        serviceLevel:
          type: integer
          enum:
            - 1
            - 2
            - 3
            - 4
            - 5
            - 6
            - 7
            - 8
            - 9
            - 10
            - 11
            - 12
            - 13
            - 14
            - 15
            - 16
            - 17
            - 18
            - 19
          description: >-
            Supported service level. Default (omitted): revert to all shipping
            rates available, for instance, if the request is passed with amount
            = 0. Values: 1 - Standard, 2 - Express, 3 - PriorityPost, 4 -
            Airmail, 5 - VirtualGoods, 6 - ExpressCourierWithoutSameDay, 7 -
            UntrackedPost, 8 - StoreCollection, 9 - StandardPost, 10 -
            StandardCourier, 11 - ExpressShipping, 12 - StandardShipping, 13 -
            CollectionPoint, 14 - MerchantOwnCarriage, 15 - TrackedStandard, 16
            - ExpressPlus, 17 - StandardExpress, 18 - PremiumStandard, 19 -
            TrackedPostToPickupLocation. The default output covers all service
            levels (express / standard).
    GetShippingDetailsExtendedResponseItem:
      type: object
      title: GetShippingDetailsExtendedResponseItem
      properties:
        destinationCountry:
          type: string
          description: The destination country's ISO code.
        status:
          type: string
          enum:
            - active
            - noShippingMethodsAvailable
          description: >-
            Shipping methods availability. active: shipping methods were found
            for this destination. noShippingMethodsAvailable: no active shipping
            methods were found.
        shippingRates:
          type: array
          description: >-
            The available shipping rates for the destination, by flat-rate
            shipping campaign.
          items:
            $ref: '#/components/schemas/ShippingRatesExtended'
    ShippingRatesExtended:
      type: object
      title: ShippingRatesExtended
      properties:
        shippingMethodLocalizedName:
          type: string
          description: The localized name of the shipping method type.
        shippingMethodName:
          type: string
          description: >-
            The type of shipping service. Shipping types: standard, express,
            tracked, and more. Example: Standard, Express Courier (Air).
        rangeMinValue:
          type: number
          format: double
          description: >-
            Minimum order/product price for a price range (includes 4 decimals).
            Example: 100.0000.
        rangeMaxValue:
          type: number
          format: double
          description: >-
            Maximum order/product price for a price range (includes 4 decimals).
            Example: 150.0000.
        shippingCost:
          type: number
          format: double
          description: >-
            The shipping costs for the order/product price range (includes 4
            decimals). Example: 5.0000.
        shippingCostCurrency:
          type: string
          description: >-
            The merchant's default currency for the destination (3-letter ISO
            code). Example: EUR, USD, ILS.
        estimatedDeliveryDays:
          type: string
          description: >-
            The estimated number of days required for the selected shipping
            service to deliver to the selected destination country. Note: this
            does NOT include the additional days configured in the Global‑e
            system for fulfilment.
        specialOfferExpiryDate:
          type: string
          format: date-time
          nullable: true
          description: >-
            The expiration date and time for the special offer (format
            yyyy-mm-ddThh:mm:ss), or NULL for campaigns/rates without an
            expiration.

````